summaryrefslogtreecommitdiffstats
path: root/libraries/e_dbus
diff options
context:
space:
mode:
author Aleksandar Samardzic2010-05-13 00:29:09 +0200
committer Erik Hanson2010-05-13 00:29:09 +0200
commit86915430cd119189b44e536296d72a3bcb210c66 (patch)
tree280bd66be2d5abf5b0d10852f457a3f74ff9fe86 /libraries/e_dbus
parent48d731cebaeda28c19a50742e54406cc35a39462 (diff)
downloadslackbuilds-86915430cd119189b44e536296d72a3bcb210c66.tar.gz
libraries/e_dbus: Updated for version 0.5.0.063
Diffstat (limited to 'libraries/e_dbus')
-rw-r--r--libraries/e_dbus/README2
-rw-r--r--libraries/e_dbus/e_dbus.SlackBuild18
-rw-r--r--libraries/e_dbus/e_dbus.info10
-rw-r--r--libraries/e_dbus/slack-desc9
4 files changed, 29 insertions, 10 deletions
diff --git a/libraries/e_dbus/README b/libraries/e_dbus/README
index dbbe16fb65..d5565ec561 100644
--- a/libraries/e_dbus/README
+++ b/libraries/e_dbus/README
@@ -2,3 +2,5 @@ E_dbus is part of Enlightenment DR17 foundation libraries.
E_dbus is the start of some basic convenience wrappers around D-Bus to
ease integrating D-Bus with EFL based applications.
+
+Requires: ecore, available at SlackBuilds.org.
diff --git a/libraries/e_dbus/e_dbus.SlackBuild b/libraries/e_dbus/e_dbus.SlackBuild
index 8c5dc4b89b..d12b7c4593 100644
--- a/libraries/e_dbus/e_dbus.SlackBuild
+++ b/libraries/e_dbus/e_dbus.SlackBuild
@@ -1,11 +1,11 @@
#!/bin/sh
-# Slackware build script for E_dbus
+# Slackware build script for Edbus
# Written by Aleksandar Samardzic <asamardzic@gmail.com>
PRGNAM=e_dbus
-VERSION=${VERSION:-0.5.0.060}
+VERSION=${VERSION:-0.5.0.063}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -42,9 +45,12 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
--disable-static
make
@@ -54,15 +60,17 @@ make install DESTDIR=$PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/e_dbus/e_dbus.info b/libraries/e_dbus/e_dbus.info
index 52dd4a3c10..e98475e87e 100644
--- a/libraries/e_dbus/e_dbus.info
+++ b/libraries/e_dbus/e_dbus.info
@@ -1,8 +1,10 @@
PRGNAM="e_dbus"
-VERSION="0.5.0.060"
+VERSION="0.5.0.063"
HOMEPAGE="http://www.enlightenment.org/"
-DOWNLOAD="http://download.enlightenment.org/snapshots/LATEST/e_dbus-0.5.0.060.tar.bz2"
-MD5SUM="7e33fe8c0878b8e70a5e35674e677c9a"
+DOWNLOAD="http://download.enlightenment.org/snapshots/2009-12-02/e_dbus-0.5.0.063.tar.bz2"
+DOWNLOAD_x86_64=""
+MD5SUM="fdbfb598b7644c3342c1f3bc9c5e8b66"
+MD5SUM_x86_64=""
MAINTAINER="Aleksandar Samardzic"
EMAIL="asamardzic@gmail.com"
-APPROVED="dsomero"
+APPROVED="Erik Hanson"
diff --git a/libraries/e_dbus/slack-desc b/libraries/e_dbus/slack-desc
index d5d88be61e..15c01f9e5b 100644
--- a/libraries/e_dbus/slack-desc
+++ b/libraries/e_dbus/slack-desc
@@ -1,4 +1,11 @@
- |----- Handy ruler ----------------------------------------------|
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
e_dbus: E_dbus (one of the Enlightenment DR17 foundation libraries)
e_dbus:
e_dbus: E_dbus is the start of some basic convenience wrappers around